# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Package-Generator
Version:	1.106
Release:	28.%{__distinit}%{__distvers}
Summary:	Generate new packages quickly and easily
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/Package-Generator
Source0:	https://cpan.metacpan.org/modules/by-module/Package/Package-Generator-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker) >= 6.30
# Module
BuildRequires:	perl(Carp)
BuildRequires:	perl(Scalar::Util)
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(Params::Util) >= 0.11
BuildRequires:	perl(Test::More) >= 0.88
# Extra Tests
BuildRequires:	perl(Test::Pod) >= 1.41
# Dependencies
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif

%description
This module lets you quickly and easily construct new packages. It gives
them unused names and sets up their package data, if provided.

%prep
%setup -q -n Package-Generator-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test
make test TEST_FILES="$(echo $(find xt/ -name '*.t'))"

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/Package/
%{_mandir}/man3/Package::Generator.3*
%{_mandir}/man3/Package::Reaper.3*

%changelog
* Fri Mar 31 2023 Paul Howarth <paul@city-fan.org> - 1.106-28
- Use SPDX-format license tag
- Use %%license unconditionally

* Sat Jun  1 2019 Paul Howarth <paul@city-fan.org> - 1.106-15
- Perl 5.30 rebuild

* Thu Apr 19 2018 Paul Howarth <paul@city-fan.org> - 1.106-11
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section
  - Drop workaround for building with Test::More < 0.88

* Wed Sep 14 2016 Paul Howarth <paul@city-fan.org> - 1.106-7
- BR: perl-generators where available
- Simplify find command using -delete

* Tue Sep  2 2014 Paul Howarth <paul@city-fan.org> - 1.106-3
- Drop support for old distributions prior to FC-5
  - Drop %%defattr, redundant since rpm 4.4
  - Drop support for building with ExtUtils::MakeMaker < 6.30
- Use %%license where possible

* Sun Dec 29 2013 Paul Howarth <paul@city-fan.org> - 1.106-1
- Update to 1.106
  - Update github links
  - Typo fix
- Update patches as needed

* Thu Jul 18 2013 Paul Howarth <paul@city-fan.org> - 1.105-2
- Perl 5.18 rebuild

* Mon Jul  8 2013 Paul Howarth <paul@city-fan.org> - 1.105-1
- Update to 1.105
  - Repackage, update bug tracker
  - Drop pod tests
- Add patch to support building with ExtUtils::MakeMaker < 6.30
- Add patch to support building with Test::More < 0.88
- Classify buildreqs by usage
- Explicitly run the extra tests

* Fri Aug 24 2012 Paul Howarth <paul@city-fan.org> - 0.103-14
- Package the LICENSE file

* Mon Jul 16 2012 Paul Howarth <paul@city-fan.org> - 0.103-11
- BR: perl(Test::Perl::Critic) for all builds except when bootstrapping

* Wed Jul  4 2012 Paul Howarth <paul@city-fan.org> - 0.103-10
- BR: perl(Cwd), perl(File::Path) and perl(File::Spec)
- Drop BR: perl(Symbol), which is not dual-lived
- Don't need to remove empty directories from the buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT

* Tue Feb  7 2012 Paul Howarth <paul@city-fan.org> - 0.103-9
- Don't BR: perl(Test::Perl::Critic) if we're bootstrapping

* Wed Feb  1 2012 Paul Howarth <paul@city-fan.org> - 0.103-8
- BR: perl(Carp) and perl(Symbol), which might be dual-lived
- Use search.cpan.org source URL

* Wed Jun 29 2011 Paul Howarth <paul@city-fan.org> - 0.103-6
- Rebuild for perl 5.14.1 in Rawhide
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Thu Jun 24 2010 Paul Howarth <paul@city-fan.org> - 0.103-4
- Rebuild for perl 5.12.1 in Rawhide

* Thu Jun  3 2010 Paul Howarth <paul@city-fan.org> - 0.103-3
- Fix dist tag for RHEL-6 Beta

* Fri Feb 12 2010 Paul Howarth <paul@city-fan.org> - 0.103-2
- BR: perl(Test::Perl::Critic) and enable Perl::Critic test for improved test
  coverage if we have a recent enough perl (5.8.8 or later)
- Dist tag for Rawhide no longer needs special-casing
- Use %%{_fixperms} macro rather than our own %%{__chmod} incantation

* Fri Jul 10 2009 Paul Howarth <paul@city-fan.org> - 0.103-1
- Update to 0.103 (requires perl ≥ 5.8)
- Define RPM macros in global scope

* Mon Sep 15 2008 Paul Howarth <paul@city-fan.org> - 0.102-3
- Import from Fedora
- Add buildreq perl(ExtUtils::MakeMaker)

* Wed Feb 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.102-2
- Rebuild for perl 5.10 (again)

* Thu Jan 24 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.102-1
- Rebuild for new perl
- Update to 0.102
- Fix license tag

* Wed Sep 06 2006 Chris Weyl <cweyl@alumni.drew.edu> - 0.100-2
- Bump

* Tue Sep 05 2006 Chris Weyl <cweyl@alumni.drew.edu> - 0.100-1
- Specfile autogenerated by cpanspec 1.69.1
